.checkbox-input-button {
    @apply cursor-pointer text-sm font-normal p-5 bg-white rounded-lg;
    @apply grid grid-cols-input gap-x-5 items-center;
    @apply border border-transparent;
}

.checkbox-input-button:not(.transparent) {
    @apply hover:shadow-input hover:text-black;
}

.checkbox-input-button:not(.transparent):active {
    @apply bg-grey-light border border-grey-darker shadow-input-hover-pressed
}

.checkbox-input-checkbox {
    @apply relative w-6 h-6 border-2 rounded border-green-sdark;
}

.checkbox-input-checkbox.checked .checkbox-input-icon {
    @apply block;
}

.checkbox-input-checkbox .checkbox-input-icon {
    @apply w-3 h-3 hidden;
    @apply bg-cover bg-center bg-no-repeat bg-green-sdark;
    @apply absolute top-1/2 left-1/2;
    @apply transform -translate-y-1/2 -translate-x-1/2;
    content: '';
    mask: url("~@/assets/img/icons/tick.svg");
}

.checkbox-input-button.transparent {
    @apply px-0 py-5 bg-transparent hover:bg-transparent active:bg-transparent disabled:bg-transparent
}
